VkImageResolve Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkImageResolve:
[legend]

## Data Fields

VkImageSubresourceLayers | srcSubresource
VkOffset3D | srcOffset
VkImageSubresourceLayers | dstSubresource
VkOffset3D | dstOffset
VkExtent3D | extent

## Detailed Description

Definition at line 2768 of file vulkan_core.h.

## Field Documentation

## dstOffset

VkOffset3D VkImageResolve::dstOffset

Definition at line 2772 of file vulkan_core.h.

## dstSubresource

VkImageSubresourceLayers VkImageResolve::dstSubresource

Definition at line 2771 of file vulkan_core.h.

## extent

VkExtent3D VkImageResolve::extent

Definition at line 2773 of file vulkan_core.h.

## srcOffset

VkOffset3D VkImageResolve::srcOffset

Definition at line 2770 of file vulkan_core.h.

## srcSubresource

VkImageSubresourceLayers VkImageResolve::srcSubresource

Definition at line 2769 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h